org.h2.util

## Interface Utils.ClassFactory

Enclosing class:
  Utils

    public static interface Utils.ClassFactory

The utility methods will try to use the provided class factories to convert binary name of class to Class object. Used by H2 OSGi Activator in order to provide a class from another bundle ClassLoader.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Class<?>` `loadClass(java.lang.String name)` Load the class.
`boolean` `match(java.lang.String name)` Check whether the factory can return the named class.

### Method Detail

#### match

    boolean match(java.lang.String name)

Check whether the factory can return the named class.

Parameters:
  `name` - the binary name of the class
Returns:
  true if this factory can return a valid class for the provided class name

#### loadClass

    java.lang.Class<?> loadClass(java.lang.String name)
                          throws java.lang.ClassNotFoundException

Load the class.

Parameters:
  `name` - the binary name of the class
Returns:
  the class object
Throws:
  `java.lang.ClassNotFoundException` - If the class is not handle by this factory